Subject: 2.6.35-rc2, CONFIG_RPS is filling the dmesg log

From: Tim Gardner <[email-masked]>
Date: Tue, 08 Jun 2010 14:55:26 -0600

With 2.6.35-rc2 my dmesg log is being flooded with messages like this:

br0 received packet on queue 4, but number of RX queues is 1

This machine is bridged for KVM and has 2 igb network adapters.

The root cause appears to be CONFIG_RPS=y and the fact that none of the 
drivers that call skb_record_rx_queue() perform their net device 
allocation using alloc_netdev_mq(), thereby initializing num_rx_queues 
to a maximum of 1.

Given that this is early RPS days, is the warning in get_rps_cpu() 
really necessary? It would appear that _all_ of the multi-receive queue 
devices that call skb_record_rx_queue() will cause this log noise.

By the way, how do you turn off CONFIG_RPS? The only way I could get it 
disabled was to change the default in net/Kconfig to 'n'.

rtg
-- 
Tim Gardner [email-masked]